### A free/open-source library for quantitative finance

Public Member Functions
FloatingRateBond Class Reference
Financial instruments

floating-rate bond (possibly capped and/or floored) More...

`#include <ql/instruments/bonds/floatingratebond.hpp>`

Inheritance diagram for FloatingRateBond:
[legend]

List of all members.

## Public Member Functions

FloatingRateBond (Natural settlementDays, Real faceAmount, const Schedule &schedule, const boost::shared_ptr< IborIndex > &iborIndex, const DayCounter &accrualDayCounter, BusinessDayConvention paymentConvention=Following, Natural fixingDays=Null< Natural >(), const std::vector< Real > &gearings=std::vector< Real >(1, 1.0), const std::vector< Spread > &spreads=std::vector< Spread >(1, 0.0), const std::vector< Rate > &caps=std::vector< Rate >(), const std::vector< Rate > &floors=std::vector< Rate >(), bool inArrears=false, Real redemption=100.0, const Date &issueDate=Date())

FloatingRateBond (Natural settlementDays, Real faceAmount, const Date &startDate, const Date &maturityDate, Frequency couponFrequency, const Calendar &calendar, const boost::shared_ptr< IborIndex > &iborIndex, const DayCounter &accrualDayCounter, BusinessDayConvention accrualConvention=Following, BusinessDayConvention paymentConvention=Following, Natural fixingDays=Null< Natural >(), const std::vector< Real > &gearings=std::vector< Real >(1, 1.0), const std::vector< Spread > &spreads=std::vector< Spread >(1, 0.0), const std::vector< Rate > &caps=std::vector< Rate >(), const std::vector< Rate > &floors=std::vector< Rate >(), bool inArrears=false, Real redemption=100.0, const Date &issueDate=Date(), const Date &stubDate=Date(), DateGeneration::Rule rule=DateGeneration::Backward, bool endOfMonth=false)

## Detailed Description

floating-rate bond (possibly capped and/or floored)

Tests:
  calculations are tested by checking results against cached values.

Examples:
  Bonds.cpp.